###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################


# required stuff
find_package( TQt )
find_package( TDE )

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)


##### check for gcc visibility support

if( WITH_GCC_VISIBILITY )
  if( NOT UNIX )
    tde_message_fatal( "gcc visibility support was requested, but your system is not *NIX" )
  endif( NOT UNIX )
  set( __KDE_HAVE_GCC_VISIBILITY 1 )
  set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
endif( WITH_GCC_VISIBILITY )


#### check for headers

check_include_file( "sys/select.h" HAVE_SYS_SELECT_H )
check_include_file( "paths.h"      HAVE_PATHS_H      )


#### set USE_SSL

if( WITH_SSL )
  # For SSL support is used KSSL in tdelibs.
  # Therefore, there is no need for a direct dependence on the SSL library.
  set( USE_SSL 1 )
endif( WITH_SSL )


#### check for ASUS Mail LED

if( WITH_MLED )
  if( EXISTS "/proc/acpi/asus/mled" )
    set( HAVE_MLED 1 )
  else( )
    tde_mesage_fatal( "ASUS Mail LED support was requested but not found in ACPI" )
  endif( )
endif( WITH_MLED )


##### gettext

if( BUILD_TRANSLATIONS )
  include( FindGettext )
  if( GETTEXT_FOUND )
    set( MSGFMT_EXECUTABLE ${GETTEXT_MSGFMT_EXECUTABLE} 
      CACHE FILEPATH "path to msgfmt executable" )
  endif( GETTEXT_FOUND )
  
  if( NOT MSGFMT_EXECUTABLE )
    tde_message_fatal( "msgfmt is required but was not found on your system." )
  endif( NOT MSGFMT_EXECUTABLE )
endif( BUILD_TRANSLATIONS )

